<?php
require './PHPMailerAutoload.php';
if( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) ){
	if (isset($_POST['teacherEmail']) AND isset($_POST['studentName']) AND isset($_POST['gameName']) AND isset($_POST['studentPoints'])) {
		$to = $_POST['teacherEmail'];
		$name = filter_var($_POST['studentName'], FILTER_SANITIZE_STRING);
		$sent = email($to, $name, 'Wyniki testu '.$_POST['gameName'], 'Witaj!<br/><br/>Uczeń <b>'.$_POST['studentName'].'</b> uzyskał <b>'.$_POST['studentPoints'].'pkt.</b> w teście <b>'.$_POST['gameName'].'</b><br /><br />Jest to automatycznie wygenerowana wiadomość z wygenerowanego testu. Prosimy na nią nie odpowiadać.<br /><br />Pozdrawiamy,<br />Zespół Ad@ i J@ś na matematycznej wyspie');
		if ($sent) {
			echo 'Message sent!';
		} else {
			echo 'Message couldn\'t sent!';
		}
	}
	else {
		echo 'All Fields are required';
	}
	return;
}
function email($to, $from_name, $subject, $message){
	$mail = new PHPMailer;
	$mail->isSMTP();
	$mail->CharSet = "UTF-8";
	$mail->SMTPDebug = 0;
	$mail->Debugoutput = 'html';
	$mail->Host = 'smtp.gmail.com';
	$mail->Port = 587;
	$mail->Username = "matematyczna.wyspa@gmail.com";
	$mail->Password = "1qazxcvbnmk";
	$mail->setFrom('matematyczna.wyspa@gmail.com', $from_name);
	$mail->addReplyTo('matematyczna.wyspa@gmail.com', 'Matematyczna Wyspa');
	$mail->SMTPSecure = 'tls';
	$mail->SMTPAuth = true;
	$mail->addAddress($to, $to);
	$mail->Subject = $subject;
	$mail->msgHTML($message);

	if (!$mail->send()) return true;
}
?>